<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/displaytag-12.tld" prefix="display" %>
<%@ taglib uri="http://ajaxtags.org/tags/ajax" prefix="ajax" %>

<html>
<head>
<title><bean:write name="searchInfoFormBPartner" property="title"/></title>
<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/ampiere/ajax/css/ajaxtags.css" />
<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/ampiere/css/displaytag.css" />
<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/ampiere/css/standard.css"/>
<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/ampiere/css/window.css"/>
<script type="text/javascript" src="${pageContext.request.contextPath}/ampiere/ajax/js/prototype-1.4.0.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/ampiere/ajax/js/scriptaculous.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/ampiere/ajax/js/overlibmws.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/ampiere/ajax/js/ajaxtags-1.2-beta1.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/ampiere/js/window.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/ampiere/js/search.js"></script>
<%!
String getColTitle(Object obj, int idx) {
	if (obj == null) { return "&nbsp;"; } else { String s = ((com.ampiere.search.ColBean)obj).getColTitle(idx); if (s == null || "".equals(s) || " ".equals(s)) { return "&nbsp;"; } else { return s; } }
}
String getColData(Object obj, int idx) {
	if (obj == null) { return "&nbsp;"; } else { Object o = (((com.ampiere.search.ColBean)obj).getColData(idx)); if (o == null) { return "&nbsp;"; } else { String s = o.toString(); if (s == null || "".equals(s) || " ".equals(s)) { return "&nbsp;"; } else { return s; } } }
}
%>
</head>

<body <% if ("1".equals(request.getAttribute("doQuery"))) { %> onload="doQuery();" <% } %> onunload="closeMyChildren();">
<table cellspacing="5" width="100%" class="windowTable" border="0" cellpadding="0">
<tr>
<td>
	<table cellspacing="0" width="100%" border="0" cellpadding="0">
	<tr>
	<td class="windowHeader">
		<h1><bean:write name="searchInfoFormBPartner" property="title"/></h1>
	</td>
	<td class="windowHeader"><img alt="&copy; Jorg Janke/Compiere" align="right" src="${pageContext.request.contextPath}/ampiere/LogoSmall.gif"/></td>
    <td valign="top" width="18">
    <div id="progressMsg" style="padding-top:1px;display:none;"><img src="${pageContext.request.contextPath}/ampiere/images/Loading-0.gif" /></div>
    </td>
    </tr>
	</table>
</td>
</tr>
<tr>
<td>
    <html:form styleId="infoLookupForm" style="margin:0;" target="_self" action="/ampiere/InfoBPartnerSearchAction.do" enctype="application/x-www-form-urlencoded" focus="value">
    	<html:hidden name="searchInfoFormBPartner" property="windowNo"/>
    	<html:hidden name="searchInfoFormBPartner" property="columnName"/>
    	<html:hidden name="searchInfoFormBPartner" property="column_ID"/>
        <table class="popupInfoTable" cellspacing="5" cellpadding="0">
        <tr>
            <td class="lbl"><bean:write name="searchInfoFormBPartner" property="valueLabel"/></td>
            <td><html:text name="searchInfoFormBPartner" property="value" size="30" /></td>
            <td class="lbl"><bean:write name="searchInfoFormBPartner" property="contactLabel"/></td>
            <td><html:text name="searchInfoFormBPartner" property="contact" size="30" /></td>
            <td class="lbl"><bean:write name="searchInfoFormBPartner" property="phoneLabel"/></td>
            <td><html:text name="searchInfoFormBPartner" property="phone" size="30" /></td>
            <td nowrap="nowrap"><html:checkbox name="searchInfoFormBPartner" property="checkCustomerStatus"><bean:write name="searchInfoFormBPartner" property="checkCustomer"/></html:checkbox></td>
        </tr>
        <tr>
            <td class="lbl"><bean:write name="searchInfoFormBPartner" property="nameLabel"/></td>
            <td><html:text name="searchInfoFormBPartner" property="name" size="30" /></td>
            <td class="lbl"><bean:write name="searchInfoFormBPartner" property="emailLabel"/></td>
            <td><html:text name="searchInfoFormBPartner" property="email" size="30" /></td>
            <td class="lbl"><bean:write name="searchInfoFormBPartner" property="postalLabel"/></td>
            <td><html:text name="searchInfoFormBPartner" property="postal" size="30" /></td>
            <td><html:checkbox name="searchInfoFormBPartner" property="checkANDStatus"><bean:write name="searchInfoFormBPartner" property="checkAND"/></html:checkbox></td>
        </tr>
        <tr>
            <td colspan="7" align="right">
            <html:button property="search" onclick="doQuery();"><bean:write name="searchInfoFormBPartner" property="searchBtnTitle"/></html:button>
            </td>
        </tr>
        </table>
    </html:form>
</td>
</tr>
<tr>
<td>
    <table width="100%" cellpadding="0" cellspacing="0">
    <tr>
    <td align="left">
    <ajax:displayTag id="displayTagFrame" ajaxFlag="displayAjax">
      <display:table id="oneObject" name="searchResultBPartner" class="displaytag" pagesize="10" scope="session"
        defaultsort="2" defaultorder="ascending" export="true" excludedParams="ajax" sort="list" cellpadding="0" cellspacing="0">
        <display:column title="<%=getColTitle(oneObject, 0)%>" media="html" class="centeralign" sortable="false">
            <input type="radio" id="radioSelect" name="radioSelect" value="<bean:write name='oneObject' property='colId'/>________<bean:write name='oneObject' property='colName'/>" ondblclick="updateInfo('<bean:write name="searchInfoFormBPartner" property="columnName"/>');return false;"/>
        </display:column>
        <%-- Key --%>
        <display:column title="<%="&nbsp;" + getColTitle(oneObject, 1) + "&nbsp;"%>" sortable="true" headerClass="sortable"><%=getColData(oneObject, 1)%></display:column>
        <%-- Name --%>
        <display:column title="<%="&nbsp;" + getColTitle(oneObject, 2) + "&nbsp;"%>" sortable="true" headerClass="sortable"><%=getColData(oneObject, 2)%></display:column>
        <%-- Contact --%>
        <display:column title="<%="&nbsp;" + getColTitle(oneObject, 3) + "&nbsp;"%>" sortable="true" headerClass="sortable"><%=getColData(oneObject, 3)%></display:column>
        <%-- Credit available --%>
        <display:column title="<%=getColTitle(oneObject, 4)%>" class="rightalign"><%=getColData(oneObject, 4)%></display:column>
        <%-- Credit used --%>
        <display:column title="<%=getColTitle(oneObject, 5)%>" class="rightalign"><%=getColData(oneObject, 5)%></display:column>
        <%-- Phone --%>
        <display:column title="<%=getColTitle(oneObject, 6)%>"><%=getColData(oneObject, 6)%></display:column>
        <%-- ZIP --%>
        <display:column title="<%=getColTitle(oneObject, 7)%>"><%=getColData(oneObject, 7)%></display:column>
        <%-- City --%>
        <display:column title="<%=getColTitle(oneObject, 8)%>"><%=getColData(oneObject, 8)%></display:column>
        <%-- Open Balance --%>
        <display:column title="<%=getColTitle(oneObject, 9)%>" class="rightalign"><%=getColData(oneObject, 9)%></display:column>
        <%-- Revenue --%>
        <display:column title="<%=getColTitle(oneObject, 10)%>" class="rightalign"><%=getColData(oneObject, 10)%></display:column>
      </display:table>
    </ajax:displayTag>
    </td>
    </tr>
    </table>
</td>
</tr>
<tr>
<td>
	<table class="popupInfoTable">
	<tr>
	<td align="left" valign="middle">
	<font color="#EE0000"><i><bean:write name='searchInfoFormBPartner' property='largeRecords'/></i></font>
	</td>
	<td class="lbl" style="padding-right:5px;">
	<input id="cancel" type="image" src="${pageContext.request.contextPath}/ampiere/images/Cancel24.gif" onclick="window.close();return false;" alt="<bean:write name='searchInfoFormBPartner' property='closeBtnTitle'/>"/>
	<input id="ok" type="image" src="${pageContext.request.contextPath}/ampiere/images/Ok24.gif" onclick="updateInfo('<bean:write name="searchInfoFormBPartner" property="columnName"/>');return false;" alt="<bean:write name='searchInfoFormBPartner' property='submitBtnTitle'/>"/>
	</td>
	</tr>
	</table>
</td>
</tr>
</table>
</body>
</html>
