/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.db;

import java.util.*;

/**
 *  Connection Resource Strings
 *
 *  @author     Marko Bubalo
 *  @version    $Id: DBRes_hr.java,v 1.1 2006/09/25 14:19:36 hans Exp $
 */
public class DBRes_hr extends ListResourceBundle
{
	/** Data        */
	static final Object[][] contents = new String[][]{
	{ "CConnectionDialog", 	"Compiere veza" },
	{ "Name", 				"Naziv" },
	{ "AppsHost", 			"Host aplikacije" },
	{ "AppsPort", 			"Port aplikacije" },
	{ "TestApps", 			"Testiranje servera" },
	{ "DBHost", 			"Host baze" },
	{ "DBPort", 			"Port baze" },
	{ "DBName", 			"Naziv baze" },
	{ "DBUidPwd", 			"Korisnik / lozinka" },
	{ "ViaFirewall", 		"via Firewall" },
	{ "FWHost", 			"Firewall Host" },
	{ "FWPort", 			"Firewall Port" },
	{ "TestConnection", 	"Tesiranje baze" },
	{ "Type", 				"Tip baze" },
	{ "BequeathConnection", "Bequeath Connection" },
	{ "Overwrite", 			"Prebrisati" },
	{ "RMIoverHTTP", 		"Tunnel Objects via HTTP" },
	{ "ConnectionProfile",	"Connection" },
	{ "LAN",		 		"LAN" },
	{ "TerminalServer",		"Terminal Server" },
	{ "VPN",		 		"VPN" },
	{ "WAN", 				"WAN" },
	{ "ConnectionError", 	"Gre\u0161ka u vezi" },
	{ "ServerNotActive", 	"Server nije aktivan" }
	};

	/**
	 * Get Contsnts
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}   //  getContent
}   //  Res

