/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.util;

import java.util.ListResourceBundle;

/**
 *  License Dialog Translation
 *
 *  @author     Bui Chi Trung
 *  @version    $Id: IniRes_vi.java,v 1.1 2006/09/25 14:19:30 hans Exp $
 */
public class IniRes_vi extends ListResourceBundle
{
	/** Translation Content     */
	static final Object[][] contents = new String[][]
	{
	{ "Compiere_License",   "Gi\u1EA5y ph\351p s\u1EED d\u1EE5ng" },
	{ "Do_you_accept",      "B\u1EA1n c\363 ch\u1EA5p nh\u1EADn gi\u1EA5y ph\351p n\340y kh\364ng?" },
	{ "No",                 "Kh\364ng" },
	{ "Yes_I_Understand",   "V\342ng, t\364i hi\u1EC3u v\340 ch\u1EA5p nh\u1EADn gi\u1EA5p ph\351p n\340y" },
	{ "license_htm",        "org/compiere/license.htm" },
	{ "License_rejected",   "Gi\u1EA5y ph\351p b\u1ECB kh\u01B0\u1EDBc t\u1EEB ho\u1EB7c h\u1EBFt h\u1EA1n" }
	};

	/**
	 *  Get Content
	 *  @return Content
	 */
	public Object[][] getContents()
	{
		return contents;
	}   //  getContent
}   //  IniRes
