/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.apps;

import java.util.*;

/**
 *  Base Resource Bundle
 *
 * 	@author 	Erwin Cortes
 * 	@version 	$Id: ALoginRes_es.java,v 1.1 2006/09/25 14:19:27 hans Exp $
 */
public final class ALoginRes_es extends ListResourceBundle
{
	/** Translation Content     */
	static final Object[][] contents = new String[][]
	{
	{ "Connection", "Conexin" },
	{ "Defaults", "Valores por Defecto" },
	{ "Login", "Login" },
	{ "File", "Archivo" },
	{ "Exit", "Salir" },
	{ "Help", "Ayuda" },
	{ "About", "Acerca de" },
	{ "Host", "Servidor" },
	{ "Database", "Base de datos" },
	{ "User", "ID de usuario" },
	{ "EnterUser", "ID de aplicacion de usuario" },
	{ "Password", "Contrasea" },
	{ "EnterPassword", "Ingrese Contrasea" },
	{ "Language", "Lenguaje" },
	{ "SelectLanguage", "Seleccione su lenguaje" },
	{ "Role", "Perfil" },
	{ "Client", "Cliente" },
	{ "Organization", "Organizacin" },
	{ "Date", "Fecha" },
	{ "Warehouse", "Depsito" },
	{ "Printer", "Impresora" },
	{ "Connected", "Conectado" },
	{ "NotConnected", "No Conectado" },
	{ "DatabaseNotFound", "Base de datos no encontrada" },
	{ "UserPwdError", "Usuario-Contrasea no coincide" },
	{ "RoleNotFound", "Perfil no encontrado" },
	{ "Authorized", "Autorizado" },
	{ "Ok", "Aceptar" },
	{ "Cancel", "Cancelar" },
	{ "VersionConflict", "Conflicto de versin:" },
	{ "VersionInfo", "Servidor <> Cliente" },
	{ "PleaseUpgrade", "Favor de ejecutar Programa de actualizacin" }
	};

	/**
	 *  Get Contents
	 *  @return context
	 */
	public Object[][] getContents()
	{
		return contents;
	}   //  getContents
}	//	ALoginRes_es
