<%@ page language="java" contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld"		prefix="bean"		%>
<%@ taglib uri="/WEB-INF/struts-html.tld"		prefix="html"		%>
<%@ taglib uri="/WEB-INF/displaytag-12.tld"		prefix="display"	%>
<%@ taglib uri="/WEB-INF/struts-logic.tld"		prefix="logic" 		%>

<html>
<head>
	<title><bean:write name="buttonActionForm" property="title"/></title>
	<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/ampiere/css/standard.css"/>
	<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/ampiere/css/window.css"/>
	<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/ampiere/css/displaytag.css" />
	<script type="text/javascript" src="${pageContext.request.contextPath}/ampiere/js/window.js"></script>
	<style type="text/css"></style>
	<script type="text/javascript">
		// Start process
		function startProcess() {
			if (! checkParent(window)) {
		        window.close();
				return;
			}
		
		    if (window.opener.top.WWindow) {
			}
		
		    window.close();
		    window.opener.focus();
		}
	</script>
</head>
<body>
<table cellspacing="3" width="100%" class="windowTable" border="0" cellpadding="0">
<tr>
<td>
	<table cellspacing="0" width="100%" border="0" cellpadding="0">
	<tr>
	<td class="windowHeader">
		<h1><bean:write name="buttonActionForm" property="title"/></h1>
	</td>
	<td class="windowHeader"><img alt="&copy; Jorg Janke/Compiere" align="right" src="${pageContext.request.contextPath}/ampiere/LogoSmall.gif"/>
	</td>
    </tr>
	</table>
</td>
</tr>
<tr>
<td>
	<table cellspacing="0" width="100%" border="0" cellpadding="0">
	<tr>
	<td>
		<h1><bean:write name="buttonActionForm" property="message" filter="false"/></h1>
	</td>
	</tr>
	<logic:notEmpty name="buttonActionForm" property="dataList">
	<tr>
		<td>
		    <table align="center" cellspacing="0" class="displaytag" border="0">
			<logic:iterate	name="buttonActionForm"
							id="data"
							property="dataList"
							scope="request"
							type="java.util.HashMap">
				<logic:equal name="data" property="RowType" value="title">
				<tr>
					<th><bean:write name="data" property="column0" filter="false"/></th>
					<th><bean:write name="data" property="column1" filter="false"/></th>
					<th><bean:write name="data" property="column2" filter="false"/></th>
					<th><bean:write name="data" property="column3" filter="false"/></th>
					<th><bean:write name="data" property="column4" filter="false"/></th>
					<th><bean:write name="data" property="column5" filter="false"/></th>
					<th><bean:write name="data" property="column6" filter="false"/></th>
					<th><bean:write name="data" property="column7" filter="false"/></th>
					<th><bean:write name="data" property="column8" filter="false"/></th>
				</tr>
				</logic:equal>
				<logic:equal name="data" property="RowType" value="even">
				<tr class="even">
					<td><bean:write name="data" property="column0" filter="false"/></td>
					<td><bean:write name="data" property="column1" filter="false"/></td>
					<td><bean:write name="data" property="column2" filter="false"/></td>
					<td><bean:write name="data" property="column3" filter="false"/></td>
					<td><bean:write name="data" property="column4" filter="false"/></td>
					<td><bean:write name="data" property="column5" filter="false"/></td>
					<td><bean:write name="data" property="column6" filter="false"/></td>
					<td><bean:write name="data" property="column7" filter="false"/></td>
					<td><bean:write name="data" property="column8" filter="false"/></td>
				</tr>
				</logic:equal>
				<logic:equal name="data" property="RowType" value="odd">
				<tr class="odd">
					<td><bean:write name="data" property="column0" filter="false"/></td>
					<td><bean:write name="data" property="column1" filter="false"/></td>
					<td><bean:write name="data" property="column2" filter="false"/></td>
					<td><bean:write name="data" property="column3" filter="false"/></td>
					<td><bean:write name="data" property="column4" filter="false"/></td>
					<td><bean:write name="data" property="column5" filter="false"/></td>
					<td><bean:write name="data" property="column6" filter="false"/></td>
					<td><bean:write name="data" property="column7" filter="false"/></td>
					<td><bean:write name="data" property="column8" filter="false"/></td>
				</tr>
				</logic:equal>
			</logic:iterate>
			</table>
		</td>
	</tr>
	</logic:notEmpty>
	</table>
</td>
</tr>
<tr>
<td align="right">
	<table class="popupInfoTable">
	<tr>
	<td align="right">
	<input id="cancel" type="image" src="${pageContext.request.contextPath}/ampiere/images/Cancel24.gif" onclick="window.close();return false;" alt="<bean:write name='buttonActionForm' property='closeBtnTitle'/>"/>
	<input id="ok" type="image" src="${pageContext.request.contextPath}/ampiere/images/Ok24.gif" onclick="startProcess();" alt="<bean:write name='buttonActionForm' property='submitBtnTitle'/>"/>
	</td>
	</tr>
	</table>
</td>
</tr>
</table>

</body>
</html>
