/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.db;

import java.util.*;

/**
 *  Connection Resource Strings
 *
 *  @author     Stefan Christians 
 *  @version    $Id: DBRes_ja.java,v 1.1 2006/09/25 14:19:36 hans Exp $
 */
public class DBRes_ja extends ListResourceBundle
{
	/** Data        */
	static final Object[][] contents = new String[][]{
	{ "CConnectionDialog", 	"Compiere\u63a5\u7d9a" },
	{ "Name", 				"\u540d\u524d" },
	{ "AppsHost", 			"\u30a2\u30d7\u30ea\u30b1\u30fc\u30b7\u30e7\u30f3\u30fb\u30b5\u30fc\u30d0\u30fc" },
	{ "AppsPort", 			"\u30a2\u30d7\u30ea\u30b1\u30fc\u30b7\u30e7\u30f3\u30fb\u30dd\u30fc\u30c8" },
	{ "TestApps", 			"\u30a2\u30d7\u30ea\u30b1\u30fc\u30b7\u30e7\u30f3\u30fb\u30b5\u30fc\u30d0\u30fc\u306e\u30c6\u30b9\u30c8" },
	{ "DBHost", 			"\u30c7\u30fc\u30bf\u30d9\u30fc\u30b9\u30fb\u30b5\u30fc\u30d0\u30fc" },
	{ "DBPort", 			"\u30c7\u30fc\u30bf\u30d9\u30fc\u30b9\u30fb\u30dd\u30fc\u30c8" },
	{ "DBName", 			"\u30c7\u30fc\u30bf\u30d9\u30fc\u30b9\u306e\u540d\u524d" },
	{ "DBUidPwd", 			"\u30e6\u30fc\u30b6\u30fc / \u30d1\u30b9\u30ef\u30fc\u30c9" },
	{ "ViaFirewall", 		"\u30d5\u30a1\u30a4\u30a2\u30a6\u30a9\u30fc\u30eb" },
	{ "FWHost", 			"\u30d5\u30a1\u30a4\u30a2\u30a6\u30a9\u30fc\u30eb\u30fb\u30b5\u30fc\u30d0\u30fc" },
	{ "FWPort", 			"\u30d5\u30a1\u30a4\u30a2\u30a6\u30a9\u30fc\u30eb\u30fb\u30dd\u30fc\u30c8" },
	{ "TestConnection", 	"\u30c7\u30fc\u30bf\u30d9\u30fc\u30b9\u30fb\u30b5\u30fc\u30d0\u30fc\u306e\u30c6\u30b9\u30c8" },
	{ "Type", 				"\u30c7\u30fc\u30bf\u30d9\u30fc\u30b9" },
	{ "BequeathConnection", "\u53e4\u63a5\u7d9a" },
	{ "RMIoverHTTP", 		"HTTP\u30c8\u30cd\u30eb" },
	{ "Overwrite", 			"\u30aa\u30fc\u30f4\u30a1\u30e9\u30a4\u30c8" },
	{ "ConnectionProfile",	"Connection" },
	{ "LAN",		 		"LAN" },
	{ "TerminalServer",		"Terminal Server" },
	{ "VPN",		 		"VPN" },
	{ "WAN", 				"WAN" },
	{ "ConnectionError", 	"\u63a5\u7d9a\u306e\u30a8\u30e9\u30fc" },
	{ "ServerNotActive", 	"\u30b5\u30fc\u30d0\u3092\u898b\u4ed8\u3051\u308c\u306a\u3044" }
	};

	/**
	 * Get Contsnts
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}   //  getContent
}   //  Res
