/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.db;

import java.util.*;

/**
 *  Connection Resource Strings
 *
 *  @author     Matja\u017e Godec
 *  @version    $Id: DBRes_sl.java,v 1.1 2006/09/25 14:19:36 hans Exp $
 */
public class DBRes_sl extends ListResourceBundle
{
	/** Data        */
	static final Object[][] contents = new String[][]{
	{ "CConnectionDialog", 	"Compiere povezava" },
	{ "Name", 				"Ime" },
	{ "AppsHost", 			"Programski stre\u017enik" },
	{ "AppsPort", 			"Vrata programskega stre\u017enika" },
	{ "TestApps", 			"Test programskega stre\u017enika" },
	{ "DBHost", 			"Stre\u017enik baze podatkov" },
	{ "DBPort", 			"Vrata baze podatkov" },
	{ "DBName", 			"Ime baze podatkov" },
	{ "DBUidPwd", 			"Uporabnik / geslo" },
	{ "ViaFirewall", 		"Skozi po\u017earni zid" },
	{ "FWHost", 			"Po\u017earni zid" },
	{ "FWPort", 			"Vrata po\u017earnega zidu" },
	{ "TestConnection", 	"Testiranje baze podatkov" },
	{ "Type", 				"Tip baze podatkov" },
	{ "BequeathConnection", "Bequeath Connection" },
	{ "Overwrite", 			"Prepi\u0161i" },
	{ "ConnectionProfile",	"Povezava" },
	{ "LAN",		 		"LAN" },
	{ "TerminalServer",		"Terminal Server" },
	{ "VPN",		 		"VPN" },
	{ "WAN", 				"WAN" },
	{ "ConnectionError", 	"Napaka na povezavi" },
	{ "ServerNotActive", 	"Stre\u017enik ni aktiven" }
	};

	/**
	 * Get Contsnts
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}   //  getContent
}   //  Res

