/******************************************************************************
 * The contents of this file are subject to the   Compiere License  Version 1.1
 * ("License"); You may not use this file except in compliance with the License
 * You may obtain a copy of the License at http://www.compiere.org/license.html
 * Software distributed under the License is distributed on an  "AS IS"  basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 * The Original Code is Compiere ERP & CRM Smart Business Solution. The Initial
 * Developer of the Original Code is Jorg Janke. Portions created by Jorg Janke
 * are Copyright (C) 1999-2005 Jorg Janke.
 * All parts are Copyright (C) 1999-2005 ComPiere, Inc.  All Rights Reserved.
 * Contributor(s): ______________________________________.
 *****************************************************************************/
package org.compiere.plaf;

import java.util.ListResourceBundle;

/**
 *  Translation Texts for Look & Feel
 *
 *  @author     Bui Chi Trung
 *  @version    $Id: PlafRes_vi.java,v 1.1 2006/09/25 14:19:32 hans Exp $
 */
public class PlafRes_vi extends ListResourceBundle
{
	/** The data    */
	static final Object[][] contents = new String[][]
	{
        { "BackColType", "Lo\u1EA1i m\340u n\u1EC1n" },
		{ "BackColType_Flat", "Ph\u1EB3ng" },
		{ "BackColType_Gradient", "D\u1ED1c" },
		{ "BackColType_Lines", "\u0110\u01B0\u1EDDng th\u1EB3ng" },
		{ "BackColType_Texture", "\u0110an ch\351o" },
		{ "LookAndFeelEditor",
				"C\364ng c\u1EE5 thay \u0111\u1ED5i V\u1EBB ngo\340i v\340 C\u1EA3m nh\u1EADn" },
		{ "LookAndFeel", "V\u1EBB ngo\340i v\340 C\u1EA3m nh\u1EADn" },
		{ "Theme", "Ch\u1EE7 \u0111\u1EC1" },
		{ "EditCompiereTheme",
				"Hi\u1EC7u ch\u1EC9nh ch\u1EE7 \u0111\u1EC1 C\u0103mpia-\u01A1" },
		{ "SetDefault", "N\u1EC1n m\u1EB7c nhi\352n" },
		{ "SetDefaultColor", "M\340u n\u1EC1n" },
		{ "ColorBlind", "M\371 m\340u" },
		{ "Example", "V\355 d\u1EE5" },
		{ "Reset", "C\u1EA5u h\354nh l\u1EA1i" },
		{ "OK", "\u0110\u1ED3ng \375" },
		{ "Cancel", "H\u1EE7y" },
		{ "CompiereThemeEditor",
				"C\364ng c\u1EE5 thay \u0111\u1ED5i ch\u1EE7 \u0111\u1EC1 C\u0103mpia-\u01A1" },
		{ "MetalColors", "B\u1ED9 m\340u \341nh kim" },
		{ "CompiereColors", "B\u1ED9 m\340u C\u0103mpia-\u01A1" },
		{ "CompiereFonts", "B\u1ED9 Font C\u0103mpia-\u01A1" },
		{ "Primary1Info", "B\363ng, T\341ch bi\u1EC7t" },
		{ "Primary1", "Ch\u1EE7 \u0111\u1EA1o 1" },
		{
				"Primary2Info",
				"\u0110\u01B0\u1EDDng ti\352u \u0111i\u1EC3m, Th\u1EF1c \u0111\u01A1n \u0111\u01B0\u1EE3c ch\u1ECDn" },
		{ "Primary2", "Ch\u1EE7 \u0111\u1EA1o 2" },
		{ "Primary3Info",
				"Table Selected Row, Selected Text, ToolTip Background" },
		{ "Primary3", "Primary 3" },
		{ "Secondary1Info", "\u0110\u01B0\u1EDDng bi\352n" },
		{ "Secondary1", "Ph\u1EE5 1" },
		{ "Secondary2Info",
				"Inactive Tabs, Pressed Fields, Inactive Border + Text" },
		{ "Secondary2", "Ph\u1EE5 2" },
		{ "Secondary3Info", "N\u1EC1n" },
		{ "Secondary3", "Ph\u1EE5 3" },
		{ "ControlFontInfo", "Control Font" },
		{ "ControlFont", "Label Font" },
		{ "SystemFontInfo", "Tool Tip, Tree nodes" },
		{ "SystemFont", "System Font" },
		{ "UserFontInfo", "User Entered Data" },
		{ "UserFont", "Field Font" },
		{ "SmallFont", "Small Font" },
		{ "WindowTitleFont", "Title Font" },
		{ "MenuFont", "Menu Font" },
		{ "MandatoryInfo",
				"N\u1EC1n c\u1EE7a tr\u01B0\u1EDDng b\u1EAFt bu\u1ED9c" },
		{ "Mandatory", "B\u1EAFt bu\u1ED9c" },
		{ "ErrorInfo",
				"N\u1EC1n c\u1EE7a tr\u01B0\u1EDDng b\u1ECB l\u1ED7i" },
		{ "Error", "L\u1ED7i" },
		{ "InfoInfo", "N\u1EC1n c\u1EE7a tr\u01B0\u1EDDng th\364ng tin" },
		{ "Info", "Th\364ng tin" },
		{ "WhiteInfo", "\u0110\u01B0\u1EDDng th\u1EB3ng" },
		{ "White", "Tr\u1EAFng" },
		{ "BlackInfo",
				"\u0110\u01B0\u1EDDng th\u1EB3ng, \u0110o\u1EA1n v\u0103n" },
		{ "Black", "Black" },
		{ "InactiveInfo", "Inactive Field Background" },
		{ "Inactive", "Inactive" },
		{ "TextOKInfo", "OK Text Foreground" },
		{ "TextOK", "Text - OK" },
		{ "TextIssueInfo", "Error Text Foreground" },
		{ "TextIssue", "Text - Error" },
		{ "FontChooser", "Ch\u1ECDn Font" },
		{ "Fonts", "Fonts" },
		{ "Plain", "Plain" },
		{ "Italic", "Italic" },
		{ "Bold", "Bold" },
		{ "BoldItalic", "Bold & Italic" },
		{ "Name", "T\352n" },
		{ "Size", "K\355ch th\u01B0\u1EDBc" },
		{ "Style", "Ki\u1EC3u" },
		{ "TestString",
				"\u0110\342y ch\u1EC9 l\340 ph\u1EA7n th\u1EED nghi\u1EC7m" },
		{ "FontString", "Font" },
		{ "CompiereColorEditor",
				"C\364ng c\u1EE5 thay \u0111\u1ED5i m\340u C\u0103mpia-\u01A1" },
		{ "CompiereType", "Lo\u1EA1i m\340u" },
		{ "GradientUpperColor", "Gradient Upper Color" },
		{ "GradientLowerColor", "Gradient Lower Color" },
		{ "GradientStart", "Gradient Start" },
		{ "GradientDistance", "Gradient Distance" },
		{ "TextureURL", "Texture URL" },
		{ "TextureAlpha", "Texture Alpha" },
		{ "TextureTaintColor", "Texture Taint Color" },
		{ "LineColor", "Line Color" },
		{ "LineBackColor", "Background Color" },
		{ "LineWidth", "Chi\u1EC1u r\u1ED9ng \u0111\u01B0\u1EDDng" },
		{ "LineDistance", "Chi\u1EC1u xa \u0111\u01B0\u1EDDng" },
		{ "FlatColor", "M\340u ph\u1EB3ng" }
		
	};

	/**
	 * Get Contents
	 * @return contents
	 */
	public Object[][] getContents()
	{
		return contents;
	}
}   //  Res
